# GET /v1/harness-examples — list all available harness examples.

Source: <https://everruns.com/docs/api/operations/list_examples/>

GET

/v1/harness-examples

Select code samplecURL (shell:curl)

```js
const url = 'https://app.everruns.com/api/v1/harness-examples';
const options = {method: 'GET'};


try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```sh
curl --request GET \
  --url https://app.everruns.com/api/v1/harness-examples
```

* Production APIapp.everruns.com/api/v1/harness-examples

## Responses

### 200

List of harness examples

Media typeapplication/json

Array\<object>

A read-only harness example defined in code.

object

**capabilities**

required

Capabilities the example will assign with their per-harness config.

Array\<object>

Per-agent capability configuration

Associates a capability with an agent, including optional per-agent configuration. The config field allows the same capability to behave differently per-agent.

object

**config**

Per-agent configuration for this capability (capability-specific)

**ref**

required

Reference to the capability ID

string

**description**

required

Short description.

string

**dev\_only**

required

Whether this example is only available when experimental features are on.

boolean

**display\_name**

required

Human-readable display name (e.g. `Data Analyst`).

string

**icon**

Display glyph name rendered by the UI (e.g. `bar-chart`).

string | null

**name**

required

Unique slug (e.g. `data-analyst`).

string

**parent\_name**

Name of the parent harness this example inherits from when adopted (e.g. `generic`). Resolved per-org at import time — no UUIDs are hardcoded.

string | null

**tags**

required

Tags for categorization.

Array\<string>

##### Examplegenerated

```json
[
  {
    "capabilities": [
      {
        "config": "example",
        "ref": "example"
      }
    ],
    "description": "example",
    "dev_only": true,
    "display_name": "example",
    "icon": "example",
    "name": "example",
    "parent_name": "example",
    "tags": [
      "example"
    ]
  }
]
```